Show / Hide Table of Contents

# UnityEventHandlerAsyncEnumerable<T> Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class UnityEventHandlerAsyncEnumerable<T> : IUniTaskAsyncEnumerable<T>

##### Inheritance

System.Object → UnityEventHandlerAsyncEnumerable<T>

##### Implements

IUniTaskAsyncEnumerable<T>

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
UnityEventHandlerAsyncEnumerable(UnityEvent<T>, CancellationToken) |

#### Methods

Name | Description
--- | ---
GetAsyncEnumerator(CancellationToken) |

### Constructors

#### UnityEventHandlerAsyncEnumerable(UnityEvent<T>, CancellationToken)

    public UnityEventHandlerAsyncEnumerable(UnityEvent<T> unityEvent, CancellationToken cancellationToken)

##### Parameters

`unityEvent` UnityEvent<T>
`cancellationToken` CancellationToken

### Methods

#### GetAsyncEnumerator(CancellationToken)

    public IUniTaskAsyncEnumerator<T> GetAsyncEnumerator(CancellationToken cancellationToken = null)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IUniTaskAsyncEnumerator<T>

### Implements

IUniTaskAsyncEnumerable<T>